commit:     1dc6f3c64fcd5de0fbd84275c333a2f082cf253c
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Jan 18 08:06:36 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Jan 19 03:21:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1dc6f3c6

net-analyzer/linkchecker: bump to 9.4.0

Closes: https://bugs.gentoo.org/661792
Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-analyzer/linkchecker/Manifest                 |  1 +
 net-analyzer/linkchecker/linkchecker-9.4.0.ebuild | 62 +++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-analyzer/linkchecker/Manifest 
b/net-analyzer/linkchecker/Manifest
index 20d81484882..667d05c1cc1 100644
--- a/net-analyzer/linkchecker/Manifest
+++ b/net-analyzer/linkchecker/Manifest
@@ -1 +1,2 @@
 DIST linkchecker-9.3.1.tar.gz 779286 BLAKE2B 
eec374a3455b5348533b29b03ab14558dd19a20e1058947eed9d8027a8b1705b63525e6b8fcf2c4feb59a782ca0e0ad8567e321ca4679320e9d6f256e14df990
 SHA512 
355c9d262502e123732807b5aaabc17060d267de44a6dc1fee9dd6655c56320ded0c1ff638d985c2dbec366d15803cfb78fae4c1a9943de11c5b4292f5a99305
+DIST linkchecker-9.4.0.tar.gz 489909 BLAKE2B 
1c9d9af96778f9d2b542a078ba9da8751d6f7bc170809d5eefef6e8e2d5587e969f1cba3d6ae116b6de981949dd638b0d78fc416ce5055b3156da308b5a95d67
 SHA512 
3423f710a46d921c4387ffcfe1a8632cb889bcfdb4d56cbabcae87ca41547221e854546efd6e440e798ea85531c34a35f3ab779cd6bc2b6e63095015ad0537ba

diff --git a/net-analyzer/linkchecker/linkchecker-9.4.0.ebuild 
b/net-analyzer/linkchecker/linkchecker-9.4.0.ebuild
new file mode 100644
index 00000000000..18909f2d05d
--- /dev/null
+++ b/net-analyzer/linkchecker/linkchecker-9.4.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit bash-completion-r1 distutils-r1 eutils
+
+DESCRIPTION="Check websites for broken links"
+HOMEPAGE="https://github.com/linkcheck/linkchecker";
+SRC_URI="https://github.com/linkcheck/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-solaris"
+IUSE="sqlite"
+
+RDEPEND="
+       dev-python/pyxdg[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.2[${PYTHON_USEDEP}]
+       virtual/python-dnspython[${PYTHON_USEDEP}]
+"
+DEPEND=""
+
+RESTRICT="test"
+
+python_prepare_all() {
+       local PATCHES=(
+               "${FILESDIR}/${PN}-9.3-bash-completion.patch"
+       )
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       delete_gui() {
+               rm -rf \
+                       "${ED}"/usr/bin/linkchecker-gui* \
+                       "${ED}"/$(python_get_sitedir)/linkcheck/gui* || die
+       }
+
+       DOCS=(
+               doc/changelog.txt
+               doc/development.mdwn
+               doc/python3.txt
+               doc/upgrading.txt
+       )
+       distutils-r1_python_install_all
+
+       python_foreach_impl delete_gui
+       rm -f "${ED}"/usr/share/applications/linkchecker*.desktop || die
+
+       newbashcomp config/linkchecker-completion ${PN}
+}
+
+pkg_postinst() {
+       optfeature "bash-completion support" 
dev-python/argcomplete[${PYTHON_USEDEP}]
+       optfeature "Virus scanning" app-antivirus/clamav
+       optfeature "Geo IP support" dev-python/geoip-python[${PYTHON_USEDEP}]
+}

Reply via email to